/*
    JavaScript voor "Invoerveld met geanimeerde placeholder II"
    (c) 2025 Ben's Hobbyhoekje / Ben Boukes,
    mag vrij worden gebruikt.
*/

const str0 = "Gebruik ", str1 = "\u2019?\u2019 voor \u00e9\u00e9n onbekend teken  ", str2 = "\u2019*\u2019 voor meer onbekende tekens  ";
let xx, activeString, activeLength, bezigMet, toevoegen, delay;

window.addEventListener("load",initPlaceholder);
function initPlaceholder() {
  xx = document.getElementById('uwData');
  xx.placeholder = str0;
  activeString = str1;
  activeLength = activeString.length;
  bezigMet = 1;
  toevoegen = 0;
  delay = setInterval(karaktersToevoegen,100);
}
function karaktersToevoegen() {
// Voeg karakters toe aan de placeholder
  if (toevoegen < activeLength) {
    xx.placeholder += activeString.charAt(toevoegen);
    toevoegen++;
  } else {
    clearInterval(delay);
    delay = setInterval(karaktersVerwijderen,100);
  }
}
function karaktersVerwijderen() {
// Verwijder karakters uit de placeholder
  if (toevoegen > 0) {
    activeLength--;
    activeString = activeString.substring(0,activeLength-1);
    xx.placeholder = str0 + activeString;
    toevoegen--;
  } else {
    clearInterval(delay);
    if (bezigMet == 1) {
      bezigMet = 2;
      activeString = str2;
    } else {
      bezigMet = 1;
      activeString = str1;
    }
    activeLength = activeString.length;
    delay = setInterval(karaktersToevoegen,100);
  }
}